/*******************************************************************************
* File Name: pin_out.h  
* Version 1.50
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_pin_out_H) /* Pins pin_out_H */
#define CY_PINS_pin_out_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "pin_out_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    pin_out_Write(uint8 value) ;
void    pin_out_SetDriveMode(uint8 mode) ;
uint8   pin_out_ReadDataReg(void) ;
uint8   pin_out_Read(void) ;
uint8   pin_out_ClearInterrupt(void) ;

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define pin_out_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define pin_out_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define pin_out_DM_RES_UP          PIN_DM_RES_UP
#define pin_out_DM_RES_DWN         PIN_DM_RES_DWN
#define pin_out_DM_OD_LO           PIN_DM_OD_LO
#define pin_out_DM_OD_HI           PIN_DM_OD_HI
#define pin_out_DM_STRONG          PIN_DM_STRONG
#define pin_out_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define pin_out_MASK               pin_out__MASK
#define pin_out_SHIFT              pin_out__SHIFT
#define pin_out_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define pin_out_PS                     (* (reg8 *) pin_out__PS)
/* Data Register */
#define pin_out_DR                     (* (reg8 *) pin_out__DR)
/* Port Number */
#define pin_out_PRT_NUM                (* (reg8 *) pin_out__PRT) 
/* Connect to Analog Globals */                                                  
#define pin_out_AG                     (* (reg8 *) pin_out__AG)                       
/* Analog MUX bux enable */
#define pin_out_AMUX                   (* (reg8 *) pin_out__AMUX) 
/* Bidirectional Enable */                                                        
#define pin_out_BIE                    (* (reg8 *) pin_out__BIE)
/* Bit-mask for Aliased Register Access */
#define pin_out_BIT_MASK               (* (reg8 *) pin_out__BIT_MASK)
/* Bypass Enable */
#define pin_out_BYP                    (* (reg8 *) pin_out__BYP)
/* Port wide control signals */                                                   
#define pin_out_CTL                    (* (reg8 *) pin_out__CTL)
/* Drive Modes */
#define pin_out_DM0                    (* (reg8 *) pin_out__DM0) 
#define pin_out_DM1                    (* (reg8 *) pin_out__DM1)
#define pin_out_DM2                    (* (reg8 *) pin_out__DM2) 
/* Input Buffer Disable Override */
#define pin_out_INP_DIS                (* (reg8 *) pin_out__INP_DIS)
/* LCD Common or Segment Drive */
#define pin_out_LCD_COM_SEG            (* (reg8 *) pin_out__LCD_COM_SEG)
/* Enable Segment LCD */
#define pin_out_LCD_EN                 (* (reg8 *) pin_out__LCD_EN)
/* Slew Rate Control */
#define pin_out_SLW                    (* (reg8 *) pin_out__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define pin_out_PRTDSI__CAPS_SEL       (* (reg8 *) pin_out__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define pin_out_PRTDSI__DBL_SYNC_IN    (* (reg8 *) pin_out__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define pin_out_PRTDSI__OE_SEL0        (* (reg8 *) pin_out__PRTDSI__OE_SEL0) 
#define pin_out_PRTDSI__OE_SEL1        (* (reg8 *) pin_out__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define pin_out_PRTDSI__OUT_SEL0       (* (reg8 *) pin_out__PRTDSI__OUT_SEL0) 
#define pin_out_PRTDSI__OUT_SEL1       (* (reg8 *) pin_out__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define pin_out_PRTDSI__SYNC_OUT       (* (reg8 *) pin_out__PRTDSI__SYNC_OUT) 


#if defined(pin_out__INTSTAT)  /* Interrupt Registers */

    #define pin_out_INTSTAT                (* (reg8 *) pin_out__INTSTAT)
    #define pin_out_SNAP                   (* (reg8 *) pin_out__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins pin_out_H */


/* [] END OF FILE */
